Skip to main content
POST
/
channels
/
{myshopifyDomain}
/
collabs
/
{collabId}
/
drops
/
{dropId}
/
products
Add Products To Drop
curl --request POST \
  --url https://unified-api.creatorcommerce.shop/channels/{myshopifyDomain}/collabs/{collabId}/drops/{dropId}/products \
  --header 'Content-Type: application/json' \
  --header 'x-channel-access-token: <api-key>' \
  --data '
{
  "products": [
    {
      "id": "9192128643323",
      "enhancement": {
        "note": "Love these so much!",
        "variant": "47773464363259",
        "media": [
          "https://assets.drops.shop/all/6997dbf076e884895ba4a345.webp"
        ],
        "custom": {
          "cc-product-badge": "Creator Favorite"
        }
      }
    },
    {
      "id": "9177537970427",
      "enhancement": {
        "note": "These are great!"
      }
    }
  ]
}
'
{
  "drop": {
    "_id": "68d4bf4b7796e248a07dfc2f",
    "products": [
      "68d4bd2202627cba6983e4df",
      "67bfce788207c73f3951acb7",
      "6997dd615fe142fd13d8b43e",
      "6997dd615fe142fd13d8b43f"
    ],
    "enhancements": [
      "68d4c15e7796e248a07dfd53",
      "68d4c15f7796e248a07dfd5d",
      "6997dd61c65868de8b5a1ac4",
      "6997dd61c65868de8b5a1ac7"
    ],
    "updatedAt": "2026-02-21T00:40:11.004Z"
  }
}

Authorizations

x-channel-access-token
string
header
required

Channel or partner access token (x-channel-access-token or x-partner-access-token)

Path Parameters

myshopifyDomain
string
required
collabId
string
required
dropId
string
required

Body

application/json
products
object[]
required

Response

Products added to drop

drop
object